/* [+MEQ MatlabEQuilibrium Toolbox+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved. */
#ifdef __cplusplus
extern "C" {
#endif

void vdInv(const int elements, const double *from, double *to);
void vsInv(const int elements, const float *from, float *to);
void vdAdd(const int n, const double *a, const double  *b, double *y);
void vsAdd(const int n, const float *a, const float  *b, float *y);
void vdSub(const int n, const double *a, const double  *b, double *y);
void vsSub(const int n, const float *a, const float  *b, float *y);
void vdMul(const int n, const double *a, const double  *b, double *y);
void vsMul(const int n, const float *a, const float  *b, float *y);
void vdDiv(const int n, const double *a, const double  *b, double *y);
void vsDiv(const int n, const float *a, const float  *b, float *y);


#ifdef __cplusplus
}
#endif
